Extrapolator Class Reference

base class for classes possibly allowing extrapolation More...

`#include <ql/math/interpolations/extrapolation.hpp>`

Inheritance diagram for Extrapolator:
[legend]

## Public Member Functions

modifiers
void | enableExtrapolation (bool b=true)
| enable extrapolation in subsequent calls
void | disableExtrapolation (bool b=true)
| disable extrapolation in subsequent calls

## inspectors

bool | allowsExtrapolation () const
| tells whether extrapolation is enabled

## Detailed Description

base class for classes possibly allowing extrapolation